.product-header {
    padding-top: rem(8);
    display: flex;
    row-gap: rem(8);
    column-gap: rem(16);
    flex-direction: column;
    margin-bottom: rem(16);

    &__title {
        margin: 0;
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(24);
        color: var(--gray-80);
    }

    &__logo {
        width: rem(134);
        display: block;
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(12);
        margin-bottom: rem(24);
        flex-direction: row;
        align-items: center;
        justify-content: space-between;

        &__title {
            font-size: rem(20);
            line-height: rem(28);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 0;
        column-gap: rem(24);
        margin-bottom: rem(28);

        &__title {
            font-size: rem(24);
            line-height: rem(30);
        }

        &__logo {
            width: 253px;
        }
    }

    @include media-breakpoint-up(xxl) {
        column-gap: rem(32);
    }
}

.product {
    margin-bottom: rem(16);
    display: flex;
    row-gap: rem(16);
    flex-direction: column;

    &__main {
        display: flex;
        flex-grow: 1;
        flex-direction: column;
    }

    &__info {
        margin-bottom: rem(16);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__article {
        color: var(--gray-50);
        font-size: rem(12);
        line-height: rem(16);
    }

    &__credit {
        margin-top: rem(16);
    }

    &__price {
        display: flex;
        row-gap: rem(8);
        align-items: flex-start;
        flex-direction: column;
    }

    &__secondary {
        display: none;
    }

    .item-sale {

        &__price {
            font-size: rem(14);
            line-height: rem(20);
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(24);
        flex-direction: row;
        column-gap: rem(28);

        &__primary {
        }

        &__secondary {
            display: block;
        }

        &__info {
            margin-bottom: rem(14);
        }

        &__article {
            font-size: rem(13);
            line-height: rem(20);
        }

        &__credit {
            margin-top: rem(14);
        }

        &__purchase {
            margin-top: rem(14);
        }

        .item-sale {

            &__price {
                font-size: rem(13);
                line-height: rem(20);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            column-gap: rem(28);
            flex-direction: row;
        }

        &__primary {
            width: rem(316);
            flex-shrink: 0;
        }

        &__secondary {
            flex-grow: 1;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(32);

        &__primary {
            width: rem(250);
        }

        &__price {

        }

        .item-price {
            font-size: rem(20);
            line-height: rem(28);
        }

        .item-sale {

            &__price {
                font-size: rem(15);
                line-height: rem(20);
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        margin-bottom: rem(28);

        &__primary {
            width: rem(272);
        }
    }
}

.product-media {
    position: relative;
    padding-left: 42px;

    &__gallery {
        min-height: 176px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__image {
        width: 170px;
        flex-shrink: 0;
        display: block;
    }

    &__nav {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 20;
        width: 32px;
        position: absolute;
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        .swiper-slide-thumb-active {

            .product-media__thumb {
                border-color: var(--blue);
            }
        }

        .btn-nav {
            transform: rotate(90deg);
        }
    }

    &__thumbs {
        height: 104px;

    }

    &__thumb {
        width: 32px;
        height: 32px;
        display: block;
        border: 1px solid var(--gray-10);
        transition: var(--transition-time);

        &:hover {
            border-color: var(--blue);
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {
        padding-left: 0;
        width: 280px;
        flex-shrink: 0;

        &__nav {
            margin-top: rem(16);
            top: auto;
            left: auto;
            bottom: auto;
            width: 100%;
            position: relative;
            align-items: center;
            flex-direction: row;

            .btn-nav {
                transform: rotate(0deg);
            }
        }

        &__gallery {
            min-height: 190px;
        }

        &__image {
            width: 197px;
        }

        &__thumbs {
            width: 204px;
            height: 64px;
        }

        &__thumb {
            width: 64px;
            height: 64px;
        }
    }

    @include media-breakpoint-up(xl) {
        width: 320px;

        &__gallery {
            min-height: 240px;
        }

        &__image {
            width: 200px;
        }

        &__nav {
            padding: 0 rem(20);
        }
    }
}

.info-block {
    min-height: rem(32);
    padding: rem(2) rem(8);
    font-size: rem(12);
    line-height: rem(16);
    border-radius: rem(4);
    fill: var(--primary);
    color: var(--primary);
    display: flex;
    column-gap: rem(8);
    align-items: center;
    justify-content: center;
    text-decoration: none;
    background-color: #EFF9FF;
    border: 1px solid #bfe8ff;
    position: relative;
    transition: var(--transition-time);

    i {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    &:before {
        left: 25px;
        z-index: 100;
        width: rem(204);
        cursor: default;
        top: calc(100% + 6px);
        position: absolute;
        border-radius: rem(4);
        content: attr(data-tooltip-text);
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-50);
        padding: rem(6) rem(12);
        background-color: white;
        box-shadow: var(--shadow);
        opacity: 0;
        visibility: hidden;
        transition: .2s;
    }


    @include media-breakpoint-up(md) {
        font-size: rem(13);
        line-height: rem(20);
    }

    @include media-breakpoint-up(xl) {

        &:hover {


            &:before {
                opacity: 1;
                visibility: visible;
                transition: .2s;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &:before {
            right: -90px;
        }
    }
}

a.info-block:hover {


    @include media-breakpoint-up(xl) {
        border-color: #00A5FF;
        transition: var(--transition-time);
    }
}

.product-content {
    color: var(--gray-70);
    margin-bottom: rem(32);

    &__body {
        font-size: rem(12);
        line-height: rem(16);

        p {
            margin-bottom: rem(8);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__title {
        margin-bottom: rem(14);

        &:not(:first-child) {
            margin-top: rem(14);
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(24);
    }
    @include media-breakpoint-up(xl) {
        margin-bottom: rem(32);

        &__body {
            font-size: rem(13);
            line-height: rem(20);
        }
    }

    @include media-breakpoint-up(xxl) {
    //    margin-bottom: rem(28);
    }
}

.product-purchase {
    z-index: 800;
    left: 0;
    right: 0;
    bottom: rem(70);
    position: fixed;
    padding: rem(8) rem(16);

    &__container {
        margin: 0 auto;
        display: grid;
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr;
    }

    &__request {
        grid-column: span 2;
    }

    .btn {
        box-shadow: var(--shadow);
    }

    .quantity__input {
        box-shadow: var(--shadow);
    }

    .btn-cart {
        box-shadow: var(--shadow);
    }


    @include media-breakpoint-up(md) {
        z-index: 1;
        left: auto;
        right: auto;
        bottom: auto;
        padding: 0;
        position: relative;

        &__container {
            margin: 0;
        }

        .btn {
            box-shadow: none;
        }

        .quantity__input {
            box-shadow: none;
        }

        .btn-cart {
            box-shadow: none;
        }
    }
}

.product-title {
    margin-bottom: rem(14);

    &:not(:first-child) {
        margin-top: rem(14);
    }
}

.product-discount {
    fill: #00A5FF;
    color: #00A5FF;
    font-size: rem(11);
    line-height: rem(16);
    text-decoration: underline;
    display: flex;
    column-gap: rem(4);
    align-items: center;

    i {
        font-size: 0;
        line-height: 0;
        width: rem(14);
        height: rem(14);
        display: block;
        flex-shrink: 0;
    }

    &:hover {
        fill: #00A5FF;
        color: #00A5FF;
        text-decoration: none;
    }
}


[data-price-info] {

    @include media-breakpoint-up(xl) {
        z-index: 100;
        position: relative;

        &:before {
            left: 30%;
            top: rem(28);
            z-index: 100;
            width: rem(204);
            padding: rem(6) rem(12);
            border-radius: rem(4);
            color: var(--gray-50);
            font-weight: 400;
            font-size: rem(12);
            line-height: rem(16);
            white-space: wrap;
            position: absolute;
            background-color: white;
            box-shadow: var(--shadow);
            content: attr(data-price-info);
            opacity: 0;
            visibility: hidden;
        }

        &:hover {

            &:before {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &:before {
            top: rem(18);
            left: calc(100% + 1rem);
        }
    }
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

